# Method: customEmojis.create

- [HTTP request](https://developers.google.com/workspace/chat/api/reference/rest/v1/customEmojis/create#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/workspace/chat/api/reference/rest/v1/customEmojis/create#body.request_body)
- [Response body](https://developers.google.com/workspace/chat/api/reference/rest/v1/customEmojis/create#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/chat/api/reference/rest/v1/customEmojis/create#body.aspect)
- [Try it!](https://developers.google.com/workspace/chat/api/reference/rest/v1/customEmojis/create#try-it)

Creates a custom emoji.

Custom emojis are only available for Google Workspace accounts, and the administrator must turn custom emojis on for the organization. For more information, see [Learn about custom emojis in Google Chat](https://support.google.com/chat/answer/12800149) and [Manage custom emoji permissions](https://support.google.com/a/answer/12850085).

Requires [user authentication](https://developers.google.com/workspace/chat/authenticate-authorize-chat-user) with the [authorization scope](https://developers.google.com/workspace/chat/authenticate-authorize#chat-api-scopes):

- `https://www.googleapis.com/auth/chat.customemojis`

### HTTP request

`POST https://chat.googleapis.com/v1/customEmojis`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains an instance of `https://developers.google.com/workspace/chat/api/reference/rest/v1/customEmojis#CustomEmoji`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/chat/api/reference/rest/v1/customEmojis#CustomEmoji`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chat.customemojis`

For more information, see the [Authorization guide](https://developers.google.com/workspace/chat/authenticate-authorize).